Update changelog and deprecation status of a node version
curl --request PUT \
--url https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changelog": "<string>",
"deprecated": true
}
'import requests
url = "https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}"
payload = {
"changelog": "<string>",
"deprecated": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({changelog: '<string>', deprecated: true})
};
fetch('https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'changelog' => '<string>',
'deprecated' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}"
payload := strings.NewReader("{\n \"changelog\": \"<string>\",\n \"deprecated\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"changelog\": \"<string>\",\n \"deprecated\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"changelog\": \"<string>\",\n \"deprecated\": true\n}"
response = http.request(request)
puts response.read_body{
"changelog": "<string>",
"comfy_node_extract_status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
"<string>"
],
"deprecated": true,
"downloadUrl": "<string>",
"id": "<string>",
"node_id": "<string>",
"status": "NodeVersionStatusActive",
"status_reason": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"version": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Update changelog and deprecation status of a node version
Update only the changelog and deprecated status of a specific version of a node.
PUT
/
publishers
/
{publisherId}
/
nodes
/
{nodeId}
/
versions
/
{versionId}
Update changelog and deprecation status of a node version
curl --request PUT \
--url https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changelog": "<string>",
"deprecated": true
}
'import requests
url = "https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}"
payload = {
"changelog": "<string>",
"deprecated": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({changelog: '<string>', deprecated: true})
};
fetch('https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'changelog' => '<string>',
'deprecated' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}"
payload := strings.NewReader("{\n \"changelog\": \"<string>\",\n \"deprecated\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"changelog\": \"<string>\",\n \"deprecated\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"changelog\": \"<string>\",\n \"deprecated\": true\n}"
response = http.request(request)
puts response.read_body{
"changelog": "<string>",
"comfy_node_extract_status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
"<string>"
],
"deprecated": true,
"downloadUrl": "<string>",
"id": "<string>",
"node_id": "<string>",
"status": "NodeVersionStatusActive",
"status_reason": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"version": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Bearer token authentication. Normally a Firebase or Cloud JWT. A 'comfyui-' prefixed API key is also accepted in this header: the prefix classifies the value as an API key and it is validated exactly as if it had been sent in X-API-Key. Accepted on the operations served by the comfyFirebase auth middleware (BE-9720, parity with ingest).
Body
application/json
Response
Version updated successfully
Was this page helpful?